Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/refresh \
--header 'Authorization: Bearer <token>'{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running"
}This endpoint requires either Connection Admin or Modeler permissions:
Refreshes the schema of the specified model. This will cause the model to reflect the latest changes to schemas, views, and fields from the data source. Schema refreshes will remove structures that are no longer present in the source, but not anything created by users.
Depending on whether the Branch-based schema refresh setting is configured:
branch_id query parameter is required. The branch_id is validated against the shared model.branch_id parameter. The API will return a 400 error in this case.curl --request POST \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/refresh \
--header 'Authorization: Bearer <token>'{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running"
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the model to be refreshed.
Required if Branch-based schema refresh is enabled. The ID of the branch for models with this setting enabled.
Do not provide this parameter when the setting is not enabled.
Whether to perform a hard refresh (removes dropped objects) or soft refresh (additive only). Defaults to true (hard refresh).
Comma-separated list of schemas to selectively refresh. Can only be used when hard_refresh=false.
Comma-separated list of tables to selectively refresh. Can only be used when hard_refresh=false.
Was this page helpful?